import request from "@/utils/request";
// @ts-ignore
import md5 from "js-md5";

// 登录方法
export function login(
  username: string,
  password: string,
  code: string,
  uuid: string
) {
  const data = {
    username,
    password: md5(password),
    code,
    uuid,
  };
  return request({
    url: "/login",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: "/getInfo",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/logout",
    method: "post",
  });
}
