import { getToken } from "@/utils/auth";
import router from "@/router";
import { useUserStore } from "@/store/user";

const whiteList = ["/login"];
// const userStore = useUserStore();
router.beforeEach((to, from, next) => {
  if (getToken()) {
    if (to.path === "/login") {
      next({ path: "/" });
      // NProgress.done()
    } else {
      if (useUserStore().roles.length === 0) {
        useUserStore()
          .getInfo()
          .then(() => {
            next({ ...to, replace: true });
          })
          .catch((err) => {
            console.log(err);
            useUserStore()
              .logOut()
              .then(() => {
                next({ path: "/" });
              });
          });
      } else {
        next();
      }
    }
  } else {
    // 没有token
    if (whiteList.indexOf(to.path) !== -1) {
      // 在免登录白名单，直接进入
      next();
    } else {
      next(`/login?redirect=${to.fullPath}`); // 否则全部重定向到登录页
    }
  }
});
